local Obj = {}

-- On charge toutes les différentes types d'acteurs
local cwd  = (...):gsub('%.init$', '') .. "."

Obj.Player              = require(cwd .. "player")
Obj.GFX                 = require("birb.modules.world.actors.gfx2D")

Obj.index     = {}
Obj.index["player"]     = require(cwd ..  "player")
Obj.index["coin"]       = require(cwd ..  "coin")

Obj.collisions = {}
Obj.collisions["wall"]  = require(cwd ..  "wall")

return Obj
